* {
    box-sizing: border-box;
    ;
}

#page {
    height: 100vh;
    display: flex;
    flex-direction: column;
    ;
    padding: .5rem;
}

main {
    border-top: 1px solid grey;
    border-bottom: 1px solid grey;
    /* min-height: 50%; */
    flex-grow: 1;
    flex-shrink: 1;
    overflow: auto;
}

body {
    font-family: Arial;
    background-color: rgb(60,60,60);
    margin: 0;
}

label {
    justify-self: end;
    ;
}

textarea {
    resize: none;
}

#controls {
    /* min-height: 20%; */
    color: white;
    font-size: 1.4rem;
    display: grid;
    grid-template-columns: 1fr 6fr 1fr 1fr;
    grid-auto-rows: 1.4rem;
    grid-gap: .5rem;
}

#output {
    width: 100%;
    height: 100%;
    background: #eee;
    overflow: auto;
    margin: 0;
}

#output p {
    color: black;
    background-color: rgb(183 183 183);
    border-bottom: 1px solid grey;
    padding-bottom: .25rem;
}

#header {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

#header li {
    display: block;
    font-style: italic;
    font-size: 1.2rem;
    padding: .25rem;
    margin: 0 1rem;
}

#logoutBtn{
    font-size: 1.2rem;
}